# DataExchange
TKSTEPBase
StepGeom

# StepGeom_TrimmedCurve Class Reference

`#include <StepGeom_TrimmedCurve.hxx>`

Inheritance diagram for StepGeom_TrimmedCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_TrimmedCurve ()
| Returns a TrimmedCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aBasisCurve, const Handle(StepGeom_HArray1OfTrimmingSelect)&aTrim1, const Handle(StepGeom_HArray1OfTrimmingSelect)&aTrim2, const Standard_Boolean aSenseAgreement, const StepGeom_TrimmingPreference aMasterRepresentation)
Standard_EXPORT void | SetBasisCurve (const Handle(StepGeom_Curve)&aBasisCurve)
Standard_EXPORT Handle_StepGeom_Curve | BasisCurve () const
Standard_EXPORT void | SetTrim1 (const Handle(StepGeom_HArray1OfTrimmingSelect)&aTrim1)
Standard_EXPORT Handle_StepGeom_HArray1OfTrimmingSelect | Trim1 () const
Standard_EXPORT StepGeom_TrimmingSelect | Trim1Value (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbTrim1 () const
Standard_EXPORT void | SetTrim2 (const Handle(StepGeom_HArray1OfTrimmingSelect)&aTrim2)
Standard_EXPORT Handle_StepGeom_HArray1OfTrimmingSelect | Trim2 () const
Standard_EXPORT StepGeom_TrimmingSelect | Trim2Value (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbTrim2 () const
Standard_EXPORT void | SetSenseAgreement (const Standard_Boolean aSenseAgreement)
Standard_EXPORT Standard_Boolean | SenseAgreement () const
Standard_EXPORT void | SetMasterRepresentation (const StepGeom_TrimmingPreference aMasterRepresentation)
Standard_EXPORT StepGeom_TrimmingPreference | MasterRepresentation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Curve | basisCurve
Handle_StepGeom_HArray1OfTrimmingSelect | trim1
Handle_StepGeom_HArray1OfTrimmingSelect | trim2
Standard_Boolean | senseAgreement
StepGeom_TrimmingPreference | masterRepresentation

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_TrimmedCurve::StepGeom_TrimmedCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Curve StepGeom_TrimmedCurve::BasisCurve | ( |  | ) | const

Standard_EXPORT const StepGeom_TrimmedCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BoundedCurve.

virtual Standard_EXPORT void StepGeom_TrimmedCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aBasisCurve,
|  | const Handle(StepGeom_HArray1OfTrimmingSelect)& | aTrim1,
|  | const Handle(StepGeom_HArray1OfTrimmingSelect)& | aTrim2,
|  | const Standard_Boolean | aSenseAgreement,
|  | const StepGeom_TrimmingPreference | aMasterRepresentation
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_TrimmedCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT StepGeom_TrimmingPreference StepGeom_TrimmedCurve::MasterRepresentation | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_TrimmedCurve::NbTrim1 | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_TrimmedCurve::NbTrim2 | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_TrimmedCurve::SenseAgreement | ( |  | ) | const

Standard_EXPORT void StepGeom_TrimmedCurve::SetBasisCurve | ( | const Handle(StepGeom_Curve)& | aBasisCurve | ) |

Standard_EXPORT void StepGeom_TrimmedCurve::SetMasterRepresentation | ( | const StepGeom_TrimmingPreference | aMasterRepresentation | ) |

Standard_EXPORT void StepGeom_TrimmedCurve::SetSenseAgreement | ( | const Standard_Boolean | aSenseAgreement | ) |

Standard_EXPORT void StepGeom_TrimmedCurve::SetTrim1 | ( | const Handle(StepGeom_HArray1OfTrimmingSelect)& | aTrim1 | ) |

Standard_EXPORT void StepGeom_TrimmedCurve::SetTrim2 | ( | const Handle(StepGeom_HArray1OfTrimmingSelect)& | aTrim2 | ) |

Standard_EXPORT Handle_StepGeom_HArray1OfTrimmingSelect StepGeom_TrimmedCurve::Trim1 | ( |  | ) | const

Standard_EXPORT StepGeom_TrimmingSelect StepGeom_TrimmedCurve::Trim1Value | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_StepGeom_HArray1OfTrimmingSelect StepGeom_TrimmedCurve::Trim2 | ( |  | ) | const

Standard_EXPORT StepGeom_TrimmingSelect StepGeom_TrimmedCurve::Trim2Value | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepGeom_Curve StepGeom_TrimmedCurve::basisCurve `[private]`

StepGeom_TrimmingPreference StepGeom_TrimmedCurve::masterRepresentation `[private]`

Standard_Boolean StepGeom_TrimmedCurve::senseAgreement `[private]`

Handle_StepGeom_HArray1OfTrimmingSelect StepGeom_TrimmedCurve::trim1 `[private]`

Handle_StepGeom_HArray1OfTrimmingSelect StepGeom_TrimmedCurve::trim2 `[private]`

The documentation for this class was generated from the following file:

- StepGeom_TrimmedCurve.hxx